attacca
Kanban

Update a column

PATCH
/v1/kanban/columns/{column_id}

Authorization

api_key kanban:write
AuthorizationBearer <token>

An atk_-prefixed API key, created under Settings → API keys.

In: header

Scope: kanban:write

Path Parameters

column_id*string

Column id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/kanban/columns/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "board_id": "75e8c400-2dbc-43a3-9af4-ff9e6c099385",  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "on_agent_outcome": "string",  "position": 0,  "title": "string",  "updated_at": "2019-08-24T14:15:22Z"}